
{*****************************************}
{                                         }
{             FastReport v2.2             }
{     Select Band datasource dialog       }
{                                         }
{  Copyright (c) 1998-99 by Tzyganenko A. }
{                                         }
{*****************************************}

unit FR_BndEd;

interface

{$I FR_Vers.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, FR_Class, FR_Utils;

type
  TBandEditorForm = class(TSForm)
    Label1: TLabel;
    CB1: TComboBox;
    Button1: TButton;
    Button2: TButton;
  private
    { Private declarations }
    procedure FillCombo;
  public
    { Public declarations }
    procedure ShowEditor(t:TfrView);
  end;

var
  BandEditorForm: TBandEditorForm;

implementation

{$R *.DFM}

uses FR_DSet;

procedure TBandEditorForm.ShowEditor(t:TfrView);
var i: Integer;
begin
  FillCombo;
  i := CB1.Items.IndexOf(t.FormatStr);
  if i = -1 then
    i := CB1.Items.IndexOf(frLoadStr('SNotAssigned'));
  CB1.ItemIndex := i;
  if ShowModal = mrOk then
    t.FormatStr := CB1.Items[CB1.ItemIndex];
end;

procedure TBandEditorForm.FillCombo;
var i: Integer;
    c,f: TComponent;
begin
  CB1.Items.Add(frLoadStr('SNotAssigned'));
  f := CurReport.Owner;
  for i := 0 to f.ComponentCount-1 do
  begin
    c := f.Components[i];
    if c is TFRDataSet then CB1.Items.Add(c.Name)
  end;
end;


end.
