
{*****************************************}
{                                         }
{             FastReport v2.2             }
{            Group band editor            }
{                                         }
{  Copyright (c) 1998-99 by Tzyganenko A. }
{                                         }
{*****************************************}

unit FR_GrpEd;

interface

{$I FR_Vers.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FR_Class, FR_Ctrls, FR_Utils;

type
  TGroupEditorForm = class(TSForm)
    Label1: TLabel;
    Edit1: TEdit;
    frSpeedButton1: TfrSpeedButton;
    Button1: TButton;
    Button2: TButton;
    procedure frSpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowEditor(t:TfrView);
  end;

var
  GroupEditorForm: TGroupEditorForm;

implementation

{$R *.DFM}

uses FR_Flds;

procedure TGroupEditorForm.ShowEditor(t:TfrView);
begin
  Edit1.Text := t.FormatStr;
  if ShowModal = mrOk then
    t.FormatStr := Edit1.Text;
end;

procedure TGroupEditorForm.frSpeedButton1Click(Sender: TObject);
begin
  FieldsForm := TFieldsForm.Create(nil);
  with FieldsForm do
  if ShowModal = mrOk then
    Edit1.Text := DBField;
  FieldsForm.Free;
end;

end.
